{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetOwnedElements()Z",
  "numberOfDefinitions": 18,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.isSetOwner()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.isSetVisibility()Z": 8,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.basicGetInStructuredNode()Lorg/eclipse/uml2/uml/StructuredActivityNode;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.isSetSources()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.getUpper(Lorg/eclipse/uml2/uml/MultiplicityElement;)I": 2,
    "Lorg/eclipse/uml2/uml/internal/operations/ConnectorOperations.getKind(Lorg/eclipse/uml2/uml/Connector;)Lorg/eclipse/uml2/uml/ConnectorKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.basicGetActivity()Lorg/eclipse/uml2/uml/Activity;": 1,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl$Container.eInternalContainer()Lorg/eclipse/emf/ecore/InternalEObject;": 8,
    "Lorg/eclipse/uml2/uml/internal/impl/FeatureImpl.isSetFeaturingClassifiers()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.isSetInGroups()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/MessageOperations.getMessageKind(Lorg/eclipse/uml2/uml/Message;)Lorg/eclipse/uml2/uml/MessageKind;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/ParameterOperations.isSetDefault(Lorg/eclipse/uml2/uml/Parameter;)Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.isSetTemplateParameter()Z": 2,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.put(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetOwnedElements()Z": 18,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.isSetOwner()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isSetRedefinedElements()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicIsSet(I)Z": 18,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getClientDependencies()Lorg/eclipse/emf/common/util/EList;": 18,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.basicGetOwningTemplateParameter()Lorg/eclipse/uml2/uml/TemplateParameter;": 8,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetVisibility()Z": 10,
    "Lorg/eclipse/uml2/uml/internal/impl/ActivityNodeImpl.isSetRedefinedElements()Z": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.getQualifiedName()Ljava/lang/String;": 18,
    "Lorg/eclipse/uml2/uml/internal/operations/MultiplicityElementOperations.getLower(Lorg/eclipse/uml2/uml/MultiplicityElement;)I": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ConnectableElementImpl.getEnds()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetOwner()Z": 7,
    "Lorg/eclipse/emf/ecore/impl/MinimalEObjectImpl.eContainerFeatureID()I": 7,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.isSetRelatedElements()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.isSetRedefinitionContexts()Z": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/DependencyImpl.isSetTargets()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetName()Z": 18,
    "Lorg/eclipse/uml2/uml/internal/impl/PackageableElementImpl.isSetOwner()Z": 8,
    "Lorg/eclipse/uml2/common/util/CacheAdapter.get(Lorg/eclipse/emf/ecore/EObject;Ljava/lang/Object;)Ljava/lang/Object;": 1,
    "Lorg/eclipse/uml2/uml/internal/operations/RedefinableTemplateSignatureOperations.getInheritedParameters(Lorg/eclipse/uml2/uml/RedefinableTemplateSignature;)Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getCacheAdapter()Lorg/eclipse/uml2/common/util/CacheAdapter;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.isSetNamespace()Z": 18
  }
}